.pretty-radio {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    &__input {
        @include visually-hidden();
    }

    &__label {
        color: #3a3a3a;
        font-size: size-rel(14px);
        line-height: size-rel(20px);
        position: relative;
        padding-left: size-rel(30px);
        display: block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: size-rel(20px);
            height: size-rel(20px);
            display: block;
            position: absolute;
            border-radius: 50%;
            border: 1px solid $black;
        }

        &:after {
            top: size-rel(5px);
            left: size-rel(5px);
            z-index: 2;
            content: '';
            width: size-rel(10px);
            height: size-rel(10px);
            display: block;
            opacity: 0;
            visibility: hidden;
            position: absolute;
            background: $black;
            border-radius: 50%;
            transform: scale(3);
        }
    }


    &__input:checked + .pretty-radio__label {

        &::before {
            border-color: $black;
        }

        &::after {
            opacity: 1;
            visibility: visible;
            transform: scale(1);
            transition : all 0.3s cubic-bezier(0.35, 0.9, 0.4, 0.9);
        }
    }

    &__input:disabled + .pretty-radio__label {
        opacity: 0.4;
    }
}
